/**************************************************************************
  element style
**************************************************************************/
* {
  margin: 0;
  padding: 0;
}

body {
  color: #999999;
  background-color:#454545; 
  font-family: Verdana, Arial, Helvetica, sans-serif, "微软雅黑";
  font-size: 13px;
  line-height: 1.8;
}
/*
使用了Monokai Sublime的黑色主题皮肤，但是还存在样式冲突，需要自己修改
这个样式只适合使用makedown编写的博客
Monokai Sublime style. Derived from Monokai by noformnocontent https://nn.mit-license.org/
*/

pre {

}
.cnblogs-markdown code{
	background-color: #454545 !important;
	border:none !important;
	color:#4F94CD;
	font-weight:bolder;
}
.cnblogs-markdown .hljs {
    display: block;
    overflow: auto;
    padding: 1.3em 2em !important;
    font-size: 14px !important;
	font-weight:500;
	font-family:Consolas;
    background-color: #333 !important;
	color:#DBDBDB;
}

.hljs,
.hljs-tag,
.hljs-subst {
    color: #f8f8f2;
}

.hljs-strong,
.hljs-emphasis {
    color: #a8a8a2;
}

.hljs-bullet,
.hljs-quote,
.hljs-number,
.hljs-regexp,
.hljs-literal,
.hljs-link {
    color: #ae81ff;
}

.hljs-code,
.hljs-title,
.hljs-section,
.hljs-selector-class {
    color: #a6e22e;
}

.hljs-strong {
    font-weight: bold;
}

.hljs-emphasis {
    font-style: italic;
}

.hljs-keyword,
.hljs-selector-tag,
.hljs-name,
.hljs-attr {
    color: #f0e68c;
}

.hljs-symbol,
.hljs-attribute {
    color: #66d9ef;
}

.hljs-params,
.hljs-class .hljs-title {
    color: #f8f8f2;
}

.hljs-string,
.hljs-type,
.hljs-built_in,
.hljs-builtin-name,
.hljs-selector-id,
.hljs-selector-attr,
.hljs-selector-pseudo,
.hljs-addition,
.hljs-variable,
.hljs-template-variable {
    color: #e6db74;
}

.hljs-comment,
.hljs-deletion,
.hljs-meta {
    color: #71C671;
}

/* 黑色主题makedown代码结束 */
#EntryTag{
	display:none !important;
}


a {
  color: #4F94CD;
  text-decoration: none;
}

a:hover {
  color: #CDB7B5;
}

img {
  border: none;
  border-radius: 16px;
}

li {
  list-style: none;
   padding-left: 10px;
}

#profile_block{
  padding-left: 10px;
}

#comment_nav{
 display:none;
}

#commentform_title {
	visibility:hidden;
}
#comment_form_container p{
	display:none;
}
#commentbox_opt{
	display:block !important;
}
#btn_comment_submit {
	border:none;
	background-color:#36648B;
	color:white;
}
#div_digg{
	display:none;
}

element.style {
}
media="only screen and (max-width: 767px)"

#green_channel {
    width: 320px;
}
#green_channel {
	border:none;
	margin-bottom: 0px;
	padding: 0px 0;
    margin-top: 0px;
}
#green_channel a:link, #green_channel a:visited, #green_channel a:active {
	color:#4F94CD !important;
}
#green_channel a{
		color:#4F94CD !important;
	    background:none;
		-webkit-border-radius:none;
		    -webkit-box-shadow: none;
			text-shadow: none;
}
#green_channel #green_channel_digg{
	background-color:transparent;
}
#green_channel #green_channel_follow {
	background-color:transparent;
}
#green_channel #green_channel_favorite {
	background-color:transparent;
}
#author_profile{
	display:none;
}
#blog_post_info_block div.clear{
	display:none;	
}
#blog_post_info_block{
	margin-top: 50px !important;
}
#blog_post_info{
	display:inline-block !important;
	float:right;
}
#post_next_prev{
	display:inline-block;
	height:0px;
}
#post_next_prev br{
	display:none;
}
#sidebar_news h3.catListTitle {
	display:none;
}
#tbCommentBody{
    border:1;
	border-color:#4F94CD;
  	background-color:transparent;
  	overflow: hidden;
  	color: #999999;
  	height: auto;
}
.commentbox_title{
	width:100%;
	font-size:15px;
}
div.commentform textarea{
	width:100%;
}
p {
  font-size: 14px;
}

blockquote {
  background-color: #AED7ED;
  border-radius: 16px;
}

.cnblogs_code {
  background-color: #F6F8FA !important;
  border-radius: 10px;

}


/**************************************************************************
  header style
**************************************************************************/
/**
 * blogTitle
 */
#home {
  margin: 0px auto;
  text-align: left;
  max-width: 1200px;
}

#blogTitle {
  padding: 16px;
  text-decoration: none;
}

.headermaintitle {
  font-size: 18px;
  color: #963432;
}

#Header1_HeaderTitle {
  font-size: 34px;
  color: #7D9EC0;
}


@-webkit-keyframes masked-animation {
  0% {
    background-position: 0 0;
  }
  100% {
    background-position: -100% 0;
  }
}

#blogTitle h2 {
  font-size: 18px;
  font-family: Brush Script MT, serif, "微软雅黑";
}

/**
 * navigator
 */
#navigator {
  background: #E8E8E8;
  height: 40px;
  line-height: 40px;
  color: #999999;
  padding-left: 15px;
  padding-right: 5px;
  padding-top: 2px;
  border-radius: 8px;
  
}

#navList {
  float: left;
}

#navList li {
  float: none;
  display: inline;
  margin-right: 20px;
  font-size: 16px;
  font-weight: bold;
}

/**
 * 自动生成的目录的样式
 */
div#navCategory blockquote {
  padding: 20px;
  margin-bottom: 25px;
  background-color: whitesmoke;
  border-left: 6px solid #B4B4B4;
  font-size: 16px;
  font-weight: normal;
  line-height: 30px;
}

/**
 * blogStats
 */
.blogStats {
  float: right;
  color: #999999;
  margin-right: 16px;
}

/**************************************************************************
  main content style
**************************************************************************/
#mainContent {
  margin-left: auto;
  width: 78%;
  float: right;
}

/**************************************************************************
  article list
**************************************************************************/
.forFlow {
  margin: auto;
}

.day {
  /*border: 1px solid #CCCCCC;
  border-radius: 16px;*/
  margin: 10px 0px;
}

/* article list - post date */
.dayTitle {
  display: none;
}

/* article list - article title */
.postTitle {
  padding: 10px 0 10px 20px;
  /*border-bottom: 1px solid #CCCCCC;*/
  font-size: 22px;
  font-weight: bold;
}

.postCon {
  padding: 20px 20px 20px;
  /*border-bottom: 1px solid #CCCCCC;*/
}

.postDesc {
  font-color:#4F94CD;
  padding-right: 20px;
}

.postSeparator {
	border-bottom: 1px solid #CCCCCC;
}

.postDesc,
.entrylistItemPostDesc {
  color: #999999;
  text-align: right;
  padding-top: 10px;
  padding-bottom: 10px;
}

/**************************************************************************
  sidebar style
**************************************************************************/
#sideBar {
  width: 20%;
  float: left;
  border: none;
  overflow: hidden;
  padding: 5px;
}

#sideBarMain {
  margin-top: 20px;
}

#sideBar h3,
#MyIng .ing_title {
  margin: 10px 0 10px 0;
  font-size: 14px;
  text-align: left;
  padding-left: 10px;
}

h3.catListTitle {
  color: #FFFFFF;
}

#calendar {
  margin-top: 16px;
  text-align: center;
  display:none;
}

#sidebar_search {
	display:none;
}

#footer {
  height: 60px;
  line-height: 60px;
  color: #586F76;
  text-align: center;
  padding: 10px 5px 0 15px;
  border-radius: 8px 8px 8px 8px;
}

/**************************************************************************
  article content style
**************************************************************************/
.postBody {
  padding: 10px 20px 10px;
  border-bottom: 1px solid #D9DBE1;
}

.feedbackItem {
  padding: 8px;
  border-bottom: 1px dotted #CCCCCC;
}
#mainContent{
	width:78%;
}
.post {
  padding-top: 1px;
  margin-top: 20px;
  /*border: 1px solid #D9DBE1;*/
  /*border-radius: 8px;*/

}

#cnblogs_post_body h1 h2 h3 h4 {
  margin: 1em 0 0.5em 0;
  font-weight: 600;
  font-family: "Titillium Web", sans-serif;
  position: relative;
  line-height: 40px;

}

#cnblogs_post_body h1 {
  color: #399AB2;
  font-size: 22px;
  border-bottom: 2px solid rgba(53, 86, 129, 0.3);

}

#cnblogs_post_body h2 {
  color: #60497C;
  font-size: 20px;
  border-bottom: 2px solid rgba(53, 86, 129, 0.3);

}

#cnblogs_post_body h3 {
  font-size: 18px;
  color: #346093;

}

#cnblogs_post_body h4 {
  font-size: 16px;
  color: #78943A;

}

/**
 * signature
 */
#cnblogs_post_body #signature {
  margin-top: 20px;
  background-color: #AED7ED;
  border-radius: 16px;
  padding: 10px 20px 10px 20px;
  font-size: 14px;
}

/**
 * feedback
 */
#div_digg {
  position: fixed;
  bottom: 10px;
  right: 15px;
  border: 2px solid #ECD7B1;
  padding: 10px;
  width: 140px;
  background-color: #FFFFFF;
  border-radius: 5px 5px 5px 5px !important;

}

/**
 * comment
 */
.feedbackCon {
  padding-top: 13px;
  padding-bottom: 10px;
  background: transparent;
  margin-left: 1em;
  color: #666666;
  line-height: 1.5;
}

.feedbackItem {
  padding: 8px;
  border-bottom: 1px dotted #CCCCCC;
}

.body_right img {
  width: 50px;
  height: 50px;
  border-radius: 8px;
  transition: all 0.5s ease-out;
  margin-right: 20px;
  background-color: #F5F5F4;

}

.feedbackManage {
  float: right;
}

.blog_comment_body {
  border: 1px none #888888;
  border-radius: 15px;
  padding: 10px;
  width: 75%;

  background: -webkit-linear-gradient(#DBD9CC, #F2F0E4);
  background: -o-linear-gradient(#DBD9CC, #F2F0E4);
  background: -moz-linear-gradient(#DBD9CC, #F2F0E4);
  background: linear-gradient(#DBD9CC, #F2F0E4);
}

.timeline-comment {
  position: relative;
  background-color: #FFFFFF;
  border: 1px solid #D1D5DA;
  border-radius: 3px;
}

.feedback_area_title {
  font-size: 18px;
  font-weight: 600;
  color: #DE6F64;
}

/**
 * 标签
 */
div#EntryTag a {
  display: inline-block;
  padding: 0.3em 0.6em;
  margin: 0 0.5em 0.5em 0;
  white-space: nowrap;
  background-color: #F1F8FF;
  border-radius: 8px;
}

div#EntryTag a:hover {
  background-color: #FFEBCC;
}

div#BlogPostCategory a {
  display: inline-block;
  padding: 0.3em 0.6em;
  margin: 0 0.5em 0.5em 0;
  white-space: nowrap;
  background-color: #F1F8FF;
  border-radius: 8px;
}

div#BlogPostCategory a:hover {
  background-color: #FFEBCC;
}

/**
 * 广告
 */
.c_ad_block {
  display: none;
}

#ad_t2 {
  display: none;
}

@media only screen and (max-width: 736px) {
  #navigator {
    width: 90%;
    margin: auto;
    float: none;
  }

  #mainContent {
    width: 90%;
    margin: auto;
    float: none;
  }

  #sideBar {
    width: 90%;
    margin: auto;
    float: none;
  }

  .newsItem {
    display: none;
  }

  #sidebar_search {
    display: none;
  }

  #blogCalendar {
    display: none;
  }

  #blog-calendar {
    display: none;
  }

  #sidebar_recentcomments {
    display: none;
  }

  #sidebar_topviewedposts {
    display: none;
  }

  #sidebar_topcommentedposts {
    display: none;
  }

  #sidebar_topdiggedposts {
    display: none;
  }
}

@media (min-width: 600px) {
  .markdown-section pre > code {
    font-size: 0.9rem !important;
  }
}

@media (max-width: 600px) {
  .markdown-section pre > code {
    padding-top: 5px;
    padding-bottom: 5px;
  }

  pre:after {
    content: "" !important;
  }
}

@media (min-width: 600px) {
  pre code {
    padding-left: 20px !important;
  }
}

@media (max-width: 600px) {
  pre {
    padding-left: 0px !important;
    padding-right: 0px !important;
  }
}